> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cleartalk.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Texting auto campaign



## OpenAPI

````yaml put /campaigns-texting/update-auto-campaign
openapi: 3.0.0
info:
  title: ClearTalk API
  description: The ClearTalk API Documentation
  version: '1.0'
  contact:
    name: Developer Support
    email: devsupport@cleartalk.ai
servers:
  - url: https://api.cleartalk.ai
    description: ClearTalk AI API Server
security: []
tags: []
paths:
  /campaigns-texting/update-auto-campaign:
    put:
      tags:
        - campaigns-texting
      summary: Update Texting auto campaign
      operationId: CampaignsTextingController_updateTextingAutoCampaign
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateTextingAutoCampaignDto'
      responses:
        '200':
          description: Texting Auto campaign updated successfully
      security:
        - apiKey: []
components:
  schemas:
    UpdateTextingAutoCampaignDto:
      type: object
      properties:
        userId:
          type: number
          description: User ID
        active:
          type: boolean
          description: Campaign active status
        isGhl:
          type: boolean
          description: GHL Campaign status
        fullDayWork:
          type: boolean
          description: Full day work
        workingHours:
          type: string
          description: Working hours configuration
        disposition:
          type: string
          description: Disposition configuration
        zapierIntegrationId:
          type: number
          description: Zapier integration ID
        campaign_name:
          type: string
        selected_tag:
          type: string
        add_tag:
          type: string
        limit_callback:
          type: number
        agent_name:
          type: string
        voice_mail:
          type: number
        follow_up:
          type: number
        not_qualified:
          type: number
        booked:
          type: number
        wrong_number:
          type: number
        do_not_call:
          type: number
        not_answered:
          type: number
        greeting_message:
          type: string
        texting_agent_id:
          type: number
        campaignId:
          type: number
          description: Campaign ID
      required:
        - campaignId
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: API Key for authentication

````